<template>
  <div class="container">
    <button @click="handleButtonClick(0)">
      In Zürich
    </button>
    <button @click="handleButtonClick(1);">
      Livestream
    </button>
  </div>
</template>

<script>

export default {
  name: 'Switcher',
  inject: ['noSleep'],
  data() {
    return {};
  },
  computed: {},
  methods: {
    handleButtonClick(channelId) {
      this.noSleep.enable();
      console.log(this.noSleep);
      this.$router.push({name: 'canvas', params: {id: channelId}});
    },
  },
};
</script>

<style scoped>
.container {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  padding: 4vw;
  background: #020510;
}

button {
  outline: none;
  border: 2px solid rgba(255, 255, 255, 0.5);
  border-radius: 15px;
  width: 100%;
  height: 40%;
  background: rgba(255, 255, 255, 0.2);
  color: white;
  font-size: 4em;
  font-weight: lighter;
}

</style>
